Get enforceable title
import requests
url = "https://api.paywise.de/v2/claims/{claim_id}/enforceable-title/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v2/claims/{claim_id}/enforceable-title/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v2/claims/{claim_id}/enforceable-title/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/claims/{claim_id}/enforceable-title/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v2/claims/{claim_id}/enforceable-title/ \
--header 'Authorization: Bearer <token>'{
"amount": {
"value": "<string>",
"currency": "EUR"
},
"created_at": "2023-11-07T05:31:56Z",
"documents": [
{
"created_at": "2023-11-07T05:31:56Z",
"download_url": "<string>",
"failure_reason": "page_limit_exceeded",
"filename": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mime_type": "<string>",
"parent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "claim"
},
"status": "pending",
"type": "bank_statement",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"file_number": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issued_on": "2023-12-25",
"issuing_authority": "<string>",
"legally_binding_since": "2023-12-25",
"served_on": "2023-12-25",
"title_type": "enforcement_order",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Enforceable titles
Get enforceable title
The enforceable-title singleton owned by a titled claim.
GET
/
v2
/
claims
/
{claim_id}
/
enforceable-title
/
Get enforceable title
import requests
url = "https://api.paywise.de/v2/claims/{claim_id}/enforceable-title/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v2/claims/{claim_id}/enforceable-title/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v2/claims/{claim_id}/enforceable-title/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/claims/{claim_id}/enforceable-title/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v2/claims/{claim_id}/enforceable-title/ \
--header 'Authorization: Bearer <token>'{
"amount": {
"value": "<string>",
"currency": "EUR"
},
"created_at": "2023-11-07T05:31:56Z",
"documents": [
{
"created_at": "2023-11-07T05:31:56Z",
"download_url": "<string>",
"failure_reason": "page_limit_exceeded",
"filename": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mime_type": "<string>",
"parent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "claim"
},
"status": "pending",
"type": "bank_statement",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"file_number": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issued_on": "2023-12-25",
"issuing_authority": "<string>",
"legally_binding_since": "2023-12-25",
"served_on": "2023-12-25",
"title_type": "enforcement_order",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
caseBearerAuthpartnerBearerAuth
Headers
Response
Legal title category: enforcement_order = Vollstreckungsbescheid; default_judgment = Versäumnisurteil; final_judgment = Endurteil; acknowledgment_judgment = Anerkenntnisurteil; reservation_judgment = Vorbehaltsurteil; court_settlement = Gerichtlicher Vergleich; enforceable_notarial_deed = Vollstreckbare notarielle Urkunde; cost_assessment_order = Kostenfestsetzungsbeschluss; other = Sonstiger Titel.
Available options:
enforcement_order, default_judgment, final_judgment, acknowledgment_judgment, reservation_judgment, court_settlement, enforceable_notarial_deed, cost_assessment_order, other 